# SubAccount Transfers Initiate transfers of monthly certificates to other sub-accounts within an account. Endpoint: POST /api/ledger/subaccountTransfer Version: 1.0.0 Security: JWT ## Query parameters: - `onBehalfOfAccountId` (string) Account id for which the request is being made: defaults to the primary account id of the requester unless specified ## Request fields (application/json): - `requests` (array) List of requests - `requests.correlationId` (string) An opaque value that will be returned in the responses and error messages to correlate the response or error with the corresponding request Example: "1" - `requests.certificateSerialNumberRange` (string, required) Certificate serial number ranges as returned by the holdings call, may not be combined with other ranges, even if contiguous Example: "NAR-REC-1234-CA-06-2024-555555-1 to 66" - `requests.quantity` (number, required) The quantity of the transaction Example: "55" - `requests.subaccountId` (string) The subaccount identifier. If not specified, indicates a transfer to the primary account Example: "77" ## Response 200 fields (application/json): - `submissionId` (string, required) Submission identifier for issue investigation Example: "1" - `responses` (array) List of responses - `responses.correlationId` (string) An opaque value that will be returned in the responses and error messages to correlate the response or error with the corresponding request Example: "1" - `responses.certificateSerialNumberRange` (string, required) Certificate serial number ranges as returned by the holdings call, may not be combined with other ranges, even if contiguous Example: "NAR-REC-1234-CA-06-2024-555555-1 to 66" - `responses.quantity` (number, required) The quantity of the transaction Example: "55" - `responses.subaccountId` (string) The subaccount identifier. If not specified, indicates a transfer to the primary account Example: "77" - `responses.transferId` (string, required) The transfer identifier Example: "5678" - `responses.remainingCertificateSerialNumberRange` (string) The certificate serial number range remaining in the account after the operation Example: "NAR-REC-1234-CA-06-2024-555555-56 to 66" ## Response 400 fields (application/json): - `submissionId` (string) Submission identifier for issue investigation - `errors` (array) List of errors - `errors.parameter` (string) The parameter in error, if applicable - `errors.correlationId` (string) The correlation identifier from the input - `errors.path` (string) The path to the field specifically in error, if applicable - `errors.field` (string) - `errors.code` (string) The field in error, if applicable - `errors.message` (string, required) The error code ## Response 401 fields (application/json): - `submissionId` (string) Submission identifier for issue investigation - `errors` (array) List of errors - `errors.parameter` (string) The parameter in error, if applicable - `errors.correlationId` (string) The correlation identifier from the input - `errors.path` (string) The path to the field specifically in error, if applicable - `errors.field` (string) - `errors.code` (string) The field in error, if applicable - `errors.message` (string, required) The error code ## Response 403 fields (application/json): - `submissionId` (string) Submission identifier for issue investigation - `errors` (array) List of errors - `errors.parameter` (string) The parameter in error, if applicable - `errors.correlationId` (string) The correlation identifier from the input - `errors.path` (string) The path to the field specifically in error, if applicable - `errors.field` (string) - `errors.code` (string) The field in error, if applicable - `errors.message` (string, required) The error code ## Response 413 fields (application/json): - `submissionId` (string) Submission identifier for issue investigation - `errors` (array) List of errors - `errors.parameter` (string) The parameter in error, if applicable - `errors.correlationId` (string) The correlation identifier from the input - `errors.path` (string) The path to the field specifically in error, if applicable - `errors.field` (string) - `errors.code` (string) The field in error, if applicable - `errors.message` (string, required) The error code ## Response 429 fields (application/json): - `submissionId` (string) Submission identifier for issue investigation - `errors` (array) List of errors - `errors.parameter` (string) The parameter in error, if applicable - `errors.correlationId` (string) The correlation identifier from the input - `errors.path` (string) The path to the field specifically in error, if applicable - `errors.field` (string) - `errors.code` (string) The field in error, if applicable - `errors.message` (string, required) The error code ## Response 500 fields (application/json): - `submissionId` (string) Submission identifier for issue investigation - `errors` (array) List of errors - `errors.parameter` (string) The parameter in error, if applicable - `errors.correlationId` (string) The correlation identifier from the input - `errors.path` (string) The path to the field specifically in error, if applicable - `errors.field` (string) - `errors.code` (string) The field in error, if applicable - `errors.message` (string, required) The error code